---
title: "applepay"
slug: "applepay"
updated: 2025-04-09T10:34:24Z
published: 2025-04-09T10:34:24Z
canonical: "api-docs.blinkpayment.co.uk/applepay"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.blinkpayment.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# applepay

Post/api/pay/v1/applepay

		
			

Apple Pay transactions will not require 3DS.

**Request Body**

- `payment_intent` (string, required): The payment intent token.
- `paymentToken` (string, required): The tokenised card details.
- `type` (integer, required): value is 2
- `customer_email` (string, required): The email address of the customer making the payment.
- `customer_name` (string, required): The name of the customer making the payment.
- `customer_address` (string, optional): The billing address of the customer's card may be required for additional AVS checking.
- `customer_postcode` (string, optional): The billing post code of the customer's card may be required for additional AVS checking.
- `transaction_unique` (string, required): A unique identifier for the transaction.
- `resource` (string, required): value should be "*apple**pay*".
- `merchant_data` (json, optional): Additional custom data related to the merchant or customer.

**Response**

`url` (string): The return_url entered in the intent with query parameters of the transaction result.

		
		
SecurityHTTPType bearer

Header parametersAuthorizationstringExampleBearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJtZXJjaGFudF9pZCI6NDM5OCwic2VjcmV0X2tleSI6IjYzMTBlNDhiZGQwZTQzODE0NTlhNjJiNDZkMmM0ZmQ2ZThhYjY1YTJhNGQ1MjA1YzZjM2RkZWJmYmJhZWJiZjgiLCJleHAiOjE3MjA3MDcyNjZ9.91qa4veQ9xGVM-Jc_3_i_vaykEdYarRwUzb-37aLD0c
Accept-CharsetstringExample""

Body parameters<select class='api-response-data' aria-label='Media type'><option value='bcb7feff-0c4c-4c3e-bf9b-70addf5e27da'>application/json</option>
</select>object  Example{
  "payment_intent": "{{payment_intent}}",
  "resource": "applepay",
  "paymentToken": "'{'data':'D2yPz8nGmK4yR7lM','signature':'MIAGCSqGSIb3DQEHAqCAMI','header':{'publicKeyHash':'2BM9KNTLi761+S8QGg70CZaLy4Mlxo+TsjLEibE9qbw=','ephemeralPublicKey':'MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEOVM9gGg6i7E8JcVr77QWgnSp7IophEFwvQGnqbepTGaFs8PJzPh+dEcNrUc90NRawQMzqx3RtKgA1UNMpfrOYQ==','transactionId':'1ac4848a0071113939c9167b9fc485085ebec31f6514f64f2c2b36be0afd1327'},'version':'EC_v1'}'",
  "type": 1,
  "customer_email": "{{$randomEmail}}",
  "customer_name": "{{$randomFullName}}",
  "transaction_unique": "{{transaction_unique}}",
  "merchant_data": "{\"order_id\": \"cc-12345678\"}",
  "device_timezone": "-330",
  "device_capabilities": "javascript",
  "device_accept_language": "en-GB",
  "device_screen_resolution": "1366x768x24",
  "remote_address": "123.123.123.123"
}

Responses200

Successful response

<select class='api-response-data' aria-label='Media type'><option value='7f55800f-16ab-486e-91c3-0bfccd3dbeb6'>application/json</option>
</select>
